AwtRunnableQueue (jEdit API Documentation)
Date: 2018-04-10

org.gjt.sp.util

## Enum AwtRunnableQueue

- java.lang.Object
- - java.lang.Enum<AwtRunnableQueue>
  - - org.gjt.sp.util.AwtRunnableQueue

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AwtRunnableQueue>

      @ThreadSafe
      public enum AwtRunnableQueue
      extends java.lang.Enum<AwtRunnableQueue>

  A queue for runnables that should run in the EDT after all pending IO tasks are finished
  Since:
    jEdit 5.1pre1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSTANCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `queueAWTRunner(boolean wait)`
    `void` | `runAfterIoTasks(java.lang.Runnable run)` Adds a runnable to the AWT queue to run in the EDT after all pending IO tasks are finished
    `void` | `start()` Queue the AWT runner for the first time.
    `static AwtRunnableQueue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AwtRunnableQueue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final AwtRunnableQueue INSTANCE

  - ### Method Detail

    - #### values

          public static AwtRunnableQueue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AwtRunnableQueue c : AwtRunnableQueue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AwtRunnableQueue valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### start

          public void start()

      Queue the AWT runner for the first time.

    - #### runAfterIoTasks

          public void runAfterIoTasks(java.lang.Runnable run)

      Adds a runnable to the AWT queue to run in the EDT after all pending IO tasks are finished
      Parameters:
        `run` - The runnable to queue for execution in the EDT after all IO tasks

    - #### queueAWTRunner

          public void queueAWTRunner(boolean wait)